/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: CustomerBean.java 70341 2013-02-28 16:38:09Z dougd $
 */

package com.sun.ts.tests.jsf.spec.flows.intermediate.beans;

public class CustomerBean
{
    private static int lastId = 0;
    
    private int myId;
    
    private boolean upgraded = false;

    public boolean isUpgraded() {
        return upgraded;
    }

    public void setUpgraded(boolean upgraded) {
        this.upgraded = upgraded;
    }
    
   public CustomerBean()
   {
      super();
      myId = incrementId();
   }
   
   public int getCustomerId() {
       return myId;
   }
   
   private synchronized int incrementId() {
       return ++lastId;
   }
}
